osl::move_generator::addeffect8::LongPieceAction< P, T, Action > Class Template Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Private Attributes | List of all members
osl::move_generator::addeffect8::LongPieceAction< P, T, Action > Class Template Reference

promote可能な足の長い駒による利きの生成用 Functor More...

Collaboration diagram for osl::move_generator::addeffect8::LongPieceAction< P, T, Action >:
[legend]

## Public Member Functions
| LongPieceAction (NumEffectState const &s, Square p, Action &a)
void | operator() (Piece p)
| forEachOnBoardから呼ばれる More...

## Private Attributes
NumEffectState const & | state
Square | target
Action & | action

## Detailed Description

### template<Player P, Ptype T, class Action>
class osl::move_generator::addeffect8::LongPieceAction< P, T, Action >

promote可能な足の長い駒による利きの生成用 Functor

Definition at line 398 of file addEffect8.tcc.

## Constructor & Destructor Documentation

template<Player P, Ptype T, class Action >

osl::move_generator::addeffect8::LongPieceAction< P, T, Action >::LongPieceAction | ( | NumEffectState const & | s,
|  | Square | p,
|  | Action & | a
| ) |  |
| inline

Definition at line 404 of file addEffect8.tcc.

## Member Function Documentation

template<Player P, Ptype T, class Action >

void osl::move_generator::addeffect8::LongPieceAction< P, T, Action >::operator() | ( | Piece | p) |  |
| inline

forEachOnBoardから呼ばれる

Definition at line 410 of file addEffect8.tcc.

References osl::move_generator::addeffect8::LongPieceAction< P, T, Action >::action, osl::Piece::isPromotedNotKingGold(), osl::LANCE, osl::move_generator::addeffect8::LongPieceAction< P, T, Action >::state, and osl::move_generator::addeffect8::LongPieceAction< P, T, Action >::target.

## Member Data Documentation

template<Player P, Ptype T, class Action >

Action& osl::move_generator::addeffect8::LongPieceAction< P, T, Action >::action
| private

Definition at line 402 of file addEffect8.tcc.

Referenced by osl::move_generator::addeffect8::LongPieceAction< P, T, Action >::operator()().

template<Player P, Ptype T, class Action >

NumEffectState const& osl::move_generator::addeffect8::LongPieceAction< P, T, Action >::state
| private

Definition at line 400 of file addEffect8.tcc.

Referenced by osl::move_generator::addeffect8::LongPieceAction< P, T, Action >::operator()().

template<Player P, Ptype T, class Action >

Square osl::move_generator::addeffect8::LongPieceAction< P, T, Action >::target
| private

Definition at line 401 of file addEffect8.tcc.

Referenced by osl::move_generator::addeffect8::LongPieceAction< P, T, Action >::operator()().

The documentation for this class was generated from the following file:

- addEffect8.tcc